Get Grouped Standings by Round ID
Returns the standing table for a specific round, formatted by group where applicable. If the round standing contains groups (for example, a tournament group stage), the response is structured per group. If no groups are present, the response returns a standard flat standings list.
Base URL
https://api.sportmonks.com/v3/football/standings/rounds/{round_id}/groupedExample response
{
"data": [
{
"id": 246691,
"name": "Group A",
"standings": [
{
"id": 2588673,
"sport_id": 1,
"league_id": 732,
"season_id": 26618,
"stage_id": 77478049,
"group_id": 246691,
"round_id": 395361,
"participant_id": 53,
"standing_rule_id": 13224,
"position": 1,
"points": 6,
"result": "equal"
}
]
},
{
"id": 246692,
"name": "Group B",
"standings": [
{
"id": 2588680,
"sport_id": 1,
"league_id": 732,
"season_id": 26618,
"stage_id": 77478049,
"group_id": 246692,
"round_id": 395361,
"participant_id": 62,
"standing_rule_id": 13223,
"position": 1,
"points": 4,
"result": "equal"
}
]
}
]
}Field description
id
Refers to the unique id of the standing or group
integer
name
The name of the group (only present when groups exist)
string / null
standings
Array of standing entries within the group (only present when groups exist)
array / null
participant_id
Refers to the participant related to the standing
integer
sport_id
Refers to the sport related to the standing
integer
league_id
Refers to the league related to the standing
integer
season_id
Refers to the season related to the standing
integer
stage_id
Refers to the stage related to the standing
integer
group_id
Refers to the group related to the standing
integer / null
round_id
Refers to the round related to the standing
integer / null
standing_rule_id
Refers to the standing rule related to the standing
integer
position
The position of the team in the standing
integer
result
Indication of whether the team went up or down in the standing
string
points
The number of points the team has gathered in the standings
integer
Query parameters
api_token
YES - another option is to provide the API token in the header.
Your unique API token. Ex. ?api_token=YOUR_TOKEN
include
NO
Enrich the API response with more data by using includes. Ex. &include=participants;events
select
NO
Select specific fields on the base entity. Read how to select fields in our tutorial.
filters
NO
Filter the API response on multiple related entities. There are static filters and dynamic filters. Please find the possibilities in the Static and Dynamic Filter tab.
locale
NO
Translate name fields of the API response in your selected language. Find more information and which languages are available on our translations page.
Static filters
Static filters are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our Filters page.
N/A
N/A
Not available on this endpoint
N/A
Dynamic filters
The dynamic filters are based on entities and includes. Each dynamic filter uses an entity to filter on and one entity to apply the filter on. Below are examples with explanations of how filters are set up. For more information, please look at our Filters page.
types
Standingdetails, standingrule. Check this endpoint for all possibilities.
Filter the Types on a selection of certain standing rules, or standing details.
&include=details.type&filters=standingdetailTypes:TypeIDs &include=details.type&filters=standingdetailTypes:129
groups
Fixtures, Standing, and more. Check this endpoint for all possibilities.
Filter the standings based on groups.
&include=group&filters=standingGroups:groupIDs &include=group&filters=standingGroups:246691
seasons
Statistics (players, team, coaches, referees), Standings, and way more. Check this endpoint for all possibilities.
Filter on team season statistics.
&include=participant.statistics&filters=teamstatisticSeasons:seasonIDS &include=participant.statistics&filters=teamstatisticSeasons:19734
Filters
More information on how to use filters can be found on our tutorials on how to filter. If you want more information on which filters to use you can check out the following endpoint:
Pagination
NO
Include depth
You can use a total of 2 nested includes on this endpoint.
Include options
participant season league stage group round rule details form sport
Related Entities
Get an overview and explanation of all the fields returned in the API response. The related entities for the standings endpoint are:
Postman
We also offer detailed postman documentation with examples and a complete up-to-date version of all our endpoints. Below is a button that lets your fork the collection or import it.
Code Example
Last updated
Was this helpful?